Subject: RE: Comments on new draft-ietf-atomib-rfc2558bis-01.txt (Fwd)

From: "Senthil Selvi" <[email-masked]>
Date: Wed, 7 May 2003 19:15:02 -0400

Hi there,

I have a quick question regarding rfc2558 Mib.

sonetMediumValidIntervals refers to what?

1. section valid intervals ?
2. line nearend valid intervals ?
3. line farend valid intervals? 
4. path Near end valid intervals ?
5. path farend valid intervals ?

please let me know which interval Mib is refering to

thanks
senthil

-----Original Message-----
From: C. M. Heard [mailto:[email-masked]] 
Sent: Monday, February 10, 2003 11:46 AM
To: Senthil Selvi
Cc: [email-masked]; [email-masked]
Subject: RE: Comments on new draft-ietf-atomib-rfc2558bis-01.txt (Fwd)

On Mon, 10 Feb 2003, Senthil Selvi wrote:
> Is sonetSESthresholdSet is index based (port Number) or system based .
> 
> I don't see an index passed in that MIB.

You are correct, sonetSESthresholdSet is a scalar.  It applies to
statistics collected on all the SONET/SDH interfaces on a system.
This design is unchanged from RFC 2558.

//cmh

---

From: "C. M. Heard" <[email-masked]>
Date: Mon, 12 May 2003 10:58:55 -0700 (PDT)

> please let me know which interval Mib is refering to

sonetMediumValidIntervals refers to all of the above.
It is number of previous 15-minute intervals (i.e.,
the maximum interval number) for which at least some
performance data was collected (at any sublayer).  Hence
this variable resides in the sonetMediumTable and is
indexed by the ifIndex corresponding to the physical
interface, instead of being replicated for each sublayer.

Note, by contrast, that the xyzIntervalValidData objects
exist at each sublayer to allow an an interval for
which data is present to be marked as "valid" or "invalid" in
the sense of ANSI T1.231-1993 or T1.231-1997 Section 9.1.2.2.

Hope that helps to explain.

Mike Heard